Organization
Users and User Groups
Permissions
Data Source
Workspaces
Logical Data Model
Analytical Objects
Reports
Publisher Documents
    Publisher Documents
      Get all Document TemplatesgetPost Document TemplatepostGet a Document TemplategetPut a Document TemplateputDelete a Document TemplatedeletePatch a Document TemplatepatchGet all DocumentsgetPost DocumentpostGet a DocumentgetPut a DocumentputDelete a DocumentdeletePatch a DocumentpatchGet all Page TemplatesgetPost Page TemplatepostGet a Page TemplategetPut a Page TemplateputDelete a Page TemplatedeletePatch a Page Templatepatch
Reporting
Export & Automations
AI Lake
AI Assistant
Agents
Other
Schemas
powered by Zudoku
OpenAPI definition

Publisher Documents

Endpoint:/

Get all Document Templates

GET
/api/v1/entities/workspaces/{workspaceId}/documentTemplates

Get all Document Templates › path Parameters

  • workspaceIdstring · required

Get all Document Templates › query Parameters

  • originstring · enum

    Defines scope of origin of objects. All by default.

    Enum values:
    ALL
    PARENTS
    NATIVE
    Default: ALL
  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL
  • pageinteger

    Zero-based page index (0..N)

    Default: 0
  • sizeinteger

    The size of the page to be returned

    Default: 20
  • sortstring[]

    Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    page
    all
    ALL

Get all Document Templates › Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

Get all Document Templates › Responses

Request successfully processed

  • dataobject[] · unique · required
  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
GET /api/v1/entities/workspaces/{workspaceId}/documentTemplates

Post Document Template

POST
/api/v1/entities/workspaces/{workspaceId}/documentTemplates

Post Document Template › path Parameters

  • workspaceIdstring · required

Post Document Template › query Parameters

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL
  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    all
    ALL

Post Document Template › Request Body

  • dataobject · required

    JSON:API representation of documentTemplate entity.

Post Document Template › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of documentTemplate entity.

  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
POST /api/v1/entities/workspaces/{workspaceId}/documentTemplates

Get a Document Template

GET
/api/v1/entities/workspaces/{workspaceId}/documentTemplates/{objectId}

Get a Document Template › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Get a Document Template › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL
  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    all
    ALL

Get a Document Template › Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

Get a Document Template › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of documentTemplate entity.

  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
GET /api/v1/entities/workspaces/{workspaceId}/documentTemplates/{objectId}

Put a Document Template

PUT
/api/v1/entities/workspaces/{workspaceId}/documentTemplates/{objectId}

Put a Document Template › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Put a Document Template › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL

Put a Document Template › Request Body

  • dataobject · required

    JSON:API representation of documentTemplate entity.

Put a Document Template › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of documentTemplate entity.

  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
PUT /api/v1/entities/workspaces/{workspaceId}/documentTemplates/{objectId}

Delete a Document Template

DELETE
/api/v1/entities/workspaces/{workspaceId}/documentTemplates/{objectId}

Delete a Document Template › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Delete a Document Template › Responses

Successfully deleted

No data returned
DELETE /api/v1/entities/workspaces/{workspaceId}/documentTemplates/{objectId}

Patch a Document Template

PATCH
/api/v1/entities/workspaces/{workspaceId}/documentTemplates/{objectId}

Patch a Document Template › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Patch a Document Template › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL

Patch a Document Template › Request Body

  • dataobject · required

    JSON:API representation of patching documentTemplate entity.

Patch a Document Template › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of documentTemplate entity.

  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
PATCH /api/v1/entities/workspaces/{workspaceId}/documentTemplates/{objectId}

Get all Documents

GET
/api/v1/entities/workspaces/{workspaceId}/documents

Get all Documents › path Parameters

  • workspaceIdstring · required

Get all Documents › query Parameters

  • originstring · enum

    Defines scope of origin of objects. All by default.

    Enum values:
    ALL
    PARENTS
    NATIVE
    Default: ALL
  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL
  • pageinteger

    Zero-based page index (0..N)

    Default: 0
  • sizeinteger

    The size of the page to be returned

    Default: 20
  • sortstring[]

    Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    page
    all
    ALL

Get all Documents › Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

Get all Documents › Responses

Request successfully processed

  • dataobject[] · unique · required
  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
GET /api/v1/entities/workspaces/{workspaceId}/documents

Post Document

POST
/api/v1/entities/workspaces/{workspaceId}/documents

Post Document › path Parameters

  • workspaceIdstring · required

Post Document › query Parameters

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL
  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    all
    ALL

Post Document › Request Body

  • dataobject · required

    JSON:API representation of document entity.

Post Document › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of document entity.

  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
POST /api/v1/entities/workspaces/{workspaceId}/documents

Get a Document

GET
/api/v1/entities/workspaces/{workspaceId}/documents/{objectId}

Get a Document › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Get a Document › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL
  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    all
    ALL

Get a Document › Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

Get a Document › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of document entity.

  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
GET /api/v1/entities/workspaces/{workspaceId}/documents/{objectId}

Put a Document

PUT
/api/v1/entities/workspaces/{workspaceId}/documents/{objectId}

Put a Document › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Put a Document › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL

Put a Document › Request Body

  • dataobject · required

    JSON:API representation of document entity.

Put a Document › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of document entity.

  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
PUT /api/v1/entities/workspaces/{workspaceId}/documents/{objectId}

Delete a Document

DELETE
/api/v1/entities/workspaces/{workspaceId}/documents/{objectId}

Delete a Document › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Delete a Document › Responses

Successfully deleted

No data returned
DELETE /api/v1/entities/workspaces/{workspaceId}/documents/{objectId}

Patch a Document

PATCH
/api/v1/entities/workspaces/{workspaceId}/documents/{objectId}

Patch a Document › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Patch a Document › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL

Patch a Document › Request Body

  • dataobject · required

    JSON:API representation of patching document entity.

Patch a Document › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of document entity.

  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
PATCH /api/v1/entities/workspaces/{workspaceId}/documents/{objectId}

Get all Page Templates

GET
/api/v1/entities/workspaces/{workspaceId}/pageTemplates

Lists the default page templates first, in a fixed order, then the workspace page templates. Paging counts both as one sequence. filter and sort apply to the workspace page templates only; the default page templates are always listed first and in full, and isDefault is not filterable. The default page templates are listed only with origin=ALL.

Get all Page Templates › path Parameters

  • workspaceIdstring · required

Get all Page Templates › query Parameters

  • originstring · enum

    Defines scope of origin of objects. All by default.

    Enum values:
    ALL
    PARENTS
    NATIVE
    Default: ALL
  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL
  • pageinteger

    Zero-based page index (0..N)

    Default: 0
  • sizeinteger

    The size of the page to be returned

    Default: 20
  • sortstring[]

    Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    page
    all
    ALL

Get all Page Templates › Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

Get all Page Templates › Responses

Request successfully processed

  • dataobject[] · unique · required
  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
GET /api/v1/entities/workspaces/{workspaceId}/pageTemplates

Post Page Template

POST
/api/v1/entities/workspaces/{workspaceId}/pageTemplates

Post Page Template › path Parameters

  • workspaceIdstring · required

Post Page Template › query Parameters

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL
  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    all
    ALL

Post Page Template › Request Body

  • dataobject · required

    JSON:API representation of pageTemplate entity.

Post Page Template › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of pageTemplate entity.

  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
POST /api/v1/entities/workspaces/{workspaceId}/pageTemplates

Get a Page Template

GET
/api/v1/entities/workspaces/{workspaceId}/pageTemplates/{objectId}

Get a Page Template › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Get a Page Template › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL
  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    all
    ALL

Get a Page Template › Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

Get a Page Template › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of pageTemplate entity.

  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
GET /api/v1/entities/workspaces/{workspaceId}/pageTemplates/{objectId}

Put a Page Template

PUT
/api/v1/entities/workspaces/{workspaceId}/pageTemplates/{objectId}

Put a Page Template › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Put a Page Template › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL

Put a Page Template › Request Body

  • dataobject · required

    JSON:API representation of pageTemplate entity.

Put a Page Template › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of pageTemplate entity.

  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
PUT /api/v1/entities/workspaces/{workspaceId}/pageTemplates/{objectId}

Delete a Page Template

DELETE
/api/v1/entities/workspaces/{workspaceId}/pageTemplates/{objectId}

Delete a Page Template › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Delete a Page Template › Responses

Successfully deleted

No data returned
DELETE /api/v1/entities/workspaces/{workspaceId}/pageTemplates/{objectId}

Patch a Page Template

PATCH
/api/v1/entities/workspaces/{workspaceId}/pageTemplates/{objectId}

Patch a Page Template › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Patch a Page Template › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL

Patch a Page Template › Request Body

  • dataobject · required

    JSON:API representation of patching pageTemplate entity.

Patch a Page Template › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of pageTemplate entity.

  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
PATCH /api/v1/entities/workspaces/{workspaceId}/pageTemplates/{objectId}

ReportsUsage